Page MenuHomePhabricator

Whitespace between == == headers should be insignificant
Closed, ResolvedPublic

Description

Whitespace within == == headers is not insignificant.

It should be, as this makes it harder to use the DoEditSectionLink hook to add more inline elements after or before the heading (they will display slightly differently depending on whether ==Heading== or == Heading == was used).

(This isn't visible when using Tidy, as Wikimedia sites do, as it strips the spaces. It can be seen in the resulting HTML on Tidy-less wikis, though.)


Version: 1.21.x
Severity: trivial

Details

Reference
bz45803

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:24 AM
bzimport set Reference to bz45803.
matmarex created this task.Mar 6 2013, 7:54 PM

Hrm, the spaces should be insignificant *in* the HTML output. What exactly are the differences you're seeing?

matmarex added a comment.EditedMar 21 2013, 10:52 PM

== Headline == and ==Headline== should always yield <h3><span class="mw-headline" id="Headline">Headline</span></h3>, and never <h3><span class="mw-headline" id="Headline"> Headline </span></h3> (note the spaces).

Also see the parser tests changes on the patch for a more precise description :)

Yeah, but those spaces shouldn't cause any rendering difference... but maybe they do. Meh. :D

They will once bug 41729 is fixed. :)

Merged by Brion.

Related URL: https://gerrit.wikimedia.org/r/59620 (Gerrit Change I6a51e3ee07fe7622b9c708c78563795d7a1118fc)

matmarex updated the task description. (Show Details)Dec 19 2017, 10:44 PM